Operations

Run hardware test

POST/v1/services/baremetal/{id}/operations/test

Authorizations

  • X-API-KEYstringheaderrequired

    Organization API key, created in the cloud console at https://cloud.serverside.com and shown once. It authenticates as the organization.

Required permission: organization.baremetal.deploy

Path parameters

  • idstring<uuid>required

Body

application/json
  • runCpubooleanrequired
  • runMemorybooleanrequired
  • runDiskbooleanrequired
  • runSmartbooleanrequired
  • cpuDurationSecinteger<int32> | null
  • memoryDurationSecinteger<int32> | null
  • diskDurationSecinteger<int32> | null
  • cpuWorkersinteger<int32> | null
  • memoryPercentinteger<int32> | null
  • diskBlockSizestring | null
  • diskIoDepthinteger<int32> | null

Response

200 · application/json

OK

  • successboolean

    Allowed values:true

  • dataobject